
clear all
close all
clc
load calor.txt;
t=calor(:,1);
DLW=calor(:,2);DSW=calor(:,3);ULW=calor(:,4); USW=calor(:,5);SH=calor(:,6);
LH=calor(:,7);
Q=-(ULW+USW+SH+LH-DLW-DSW);

%Long Wave
LW=-(ULW-DLW);
%Short Wave
SW=-(USW-DSW);

figure(1); %Q total
clf
plot(t,Q,'b-');
hold on
plot(t,Q,'ro');
dim=length(Q);
for n=1:12
    QM(n)=mean(Q(n:12:dim));
    LWM(n)=mean(LW(n:12:dim));
    SWM(n)=mean(SW(n:12:dim));
    LHM(n)=mean(LH(n:12:dim));
    SHM(n)=mean(SH(n:12:dim));
end
mes=1:12;

figure(2); %Climatologia
clf
plot(mes,QM,'b-');

figure(3); %Climatologia
clf
plot(mes,QM,'b-');
text(mes(6),QM(6),'Heat');
hold on
plot(mes,LWM,'r-');
text(mes(6),LWM(6),'LW');
plot(mes,SWM,'g-');
text(mes(6),SWM(6),'SW');
plot(mes,-LHM,'k-');
text(mes(6),-LHM(6),'LH');
plot(mes,-SHM,'k--');
text(mes(6),-SHM(6),'SH');

